%{?dist: %{expand: %%define dist_%dist 1}}

%define pkg  adns

Summary:     The GNU asynchronous DNS resolver library
Name:        lib%{pkg}
Version:     1.4
Release:     3.%{?dist}%{?pext}
License:     GPL
Group:       System Environment/Libraries
Source0:     ftp://ftp.chiark.greenend.org.uk/users/ian/%{pkg}/%{pkg}-%{version}.tar.gz
Patch0:      %{pkg}-1.4-install.patch
URL:         http://www.chiark.greenend.org.uk/~ian/%{pkg}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Ian Jackson <ian@davenant.greenend.org.uk>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Provides:    %{name}.pp
Prereq:      coreutils glibc
BuildPrereq: coreutils glibc-devel gcc make
ExclusiveOS: linux

%description
GNU %{pkg} is an advanced, easy to use and asynchronous-capable
resolver library for C programs.


%package devel
Summary:     Development tools for %{name}
Group:       Development/Libraries
Provides:    %{name}-devel.pp
Requires:    %{name} = %{version}-%{release} %{name}.pp

%description devel
The %{name}-devel package contains the static libraries and header
files for developing software using %{name}.


%package progs
Summary:     Related programs for %{name}
Group:       Applications/Internet
Provides:    %{name}-progs.pp
Requires:    %{name} = %{version}-%{release} %{name}.pp

%description progs
The %{name}-progs package contains a collection of useful DNS resolver
utilities.


%prep
%setup -q -n %{pkg}-%{version}
%patch0 -p1


%build
%configure \
	--enable-dynamic
make all
#make check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}

make \
	DESTDIR=${RPM_BUILD_ROOT} \
	install


%post
ldconfig


%postun
ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING GPL* INSTALL LICENCE* README* TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.*a

%files progs
%defattr(-,root,root)
%{_bindir}/*


%changelog
* Thu Jan 25 2007 peter.pramberger@member.fsf.org 1.4-3
- some spec file cleanups (x86_64 support)

* Fri Dec 15 2006 peter.pramberger@member.fsf.org 1.4-2
- created

